package ru.amse.vorobiev.lce.view;

import java.awt.Point;
import java.util.List;

import ru.amse.vorobiev.lce.elements.IGate;

public interface IGateView extends IElementView {
	public Point getUpperLeftCorner();
	public void setUpperLeftCorner(Point point);
	public int getWidth();
	public int getHeight();
	public String getName();
	public IGate getGate();
	public List<Point> getInputs();
	public List<Point> getOutputs();
	public void ensureHeight();
	public void addInput();
	public void addOutput();
	public void deleteInput(int i);
	public void deleteOutput(int i);
}
